# Author: SirSheepe
# Description: Ends the game
# Ran: game:loop/game

scoreboard players set endTimer game 1

effect give @a[tag=inGame] minecraft:resistance 1000000 255 true
effect give @a[tag=inGame] minecraft:glowing 1000000 255 true

kill @e[tag=border]

tag @a remove winner
tag @a[tag=inGame] add winner
execute as @a[tag=!inGame] if score @s game = @a[tag=inGame,limit=1] game run tag @s add winner

execute as @a at @s run playsound minecraft:ui.toast.challenge_complete master @s ~ ~ ~ 1

execute as @a[tag=inGame,limit=1] if score @s game matches 1 run team join red @a[tag=winner]
execute as @a[tag=inGame,limit=1] if score @s game matches 2 run team join orange @a[tag=winner]
execute as @a[tag=inGame,limit=1] if score @s game matches 3 run team join yellow @a[tag=winner]
execute as @a[tag=inGame,limit=1] if score @s game matches 4 run team join green @a[tag=winner]
execute as @a[tag=inGame,limit=1] if score @s game matches 5 run team join aqua @a[tag=winner]
execute as @a[tag=inGame,limit=1] if score @s game matches 6 run team join blue @a[tag=winner]
execute as @a[tag=inGame,limit=1] if score @s game matches 7 run team join purple @a[tag=winner]
execute as @a[tag=inGame,limit=1] if score @s game matches 8 run team join pink @a[tag=winner]

title @a times 40 200 40
title @a title {"text":"Game Ended!","color":"gold"}
title @a subtitle [{"selector":"@a[tag=winner]","color":"reset"},{"text":" won the UHC!","color":"yellow"}]

team leave @a[tag=!inGame,tag=winner]

bossbar set player_count players
bossbar remove player_count

worldborder warning distance 0
worldborder damage amount 0
worldborder damage buffer 0

execute as @e[type=wolf] store result score @s wolfTamed run data get entity @s OwnerUUID
kill @e[type=wolf,scores={wolfTamed=36}]
scoreboard players reset @e[type=wolf] wolfTamed