# Author: SirSheepe
# Description: Runs the loop for the lobby
# Ran: game:main

execute if score gameStartTimer game matches 1.. run scoreboard players add gameStartTimer game 1

execute unless score gameStartTimer game matches 1.. run function menu:detect

execute at @e[tag=map_centre] positioned ~ ~2 ~-10 if block ~ ~ ~ oak_button[powered=true] run function game:start/attempt
execute at @e[tag=map_centre] positioned ~ ~2 ~-10 if block ~ ~ ~ stone_button[powered=true] run function game:start/fail

execute if score gameStartTimer game matches 1.. run function game:start/check
execute if score gameStartTimer game matches 1.. run function game:start/countdown

effect give @a minecraft:instant_health 2 3 true
effect give @a minecraft:saturation 1 255 true
effect give @a minecraft:resistance 1 255 true
effect give @a minecraft:weakness 1 255 true
effect give @a minecraft:fire_resistance 1 255 true

title @a actionbar [{"text":">>","color":"gold","bold":true},{"text":" Open your inventory to view settings + teams! ","color":"yellow","bold":true},{"text":"<<","color":"gold","bold":true}]

execute as @a[team=patreon] at @s run particle minecraft:end_rod ~ ~0.2 ~ 0.1 0.05 0.1 0.025 2

execute as @a[team=vertex] at @s run particle minecraft:dust 1.000 0.000 0.000 1 ~ ~0.1 ~ 0.15 0.05 0.15 1 3 normal
execute as @a[team=vertex] at @s run particle minecraft:firework ~ ~0.1 ~ 0.15 0.05 0.15 0.01 4 normal

tellraw @a[scores={tut=1..}] ["",{"text":"=== How to play ===","color":"yellow"},{"text":"\nUHC is a gamemode in which you're put into a world with nothing. The world is a set size and will eventually start shrinking all the way to a centre coordinate. You are not alone, there are other teams in the world trying to survive just like you, and your goal is to gear up and take them down before they kill you. You cannot heal naturally, you must heal with golden apples (or if you're really daring, potions).\n\nFight it out and be the last team remaining to win!"}]
scoreboard players enable @a[scores={tut=1..}] tut
scoreboard players set @a tut 0

execute as @a run function stew:stew_replace