# Author: SirSheepe
# Description: Applies the new loot tables to the mobs
# Ran: game:loop/game

execute as @e[type=minecraft:bat,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:bat"}
tag @e[type=minecraft:bat,tag=!checked] add checked

execute as @e[type=minecraft:blaze,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:blaze"}
tag @e[type=minecraft:blaze,tag=!checked] add checked

execute as @e[type=minecraft:cave_spider,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:spider"}
tag @e[type=minecraft:cave_spider,tag=!checked] add checked

execute as @e[type=minecraft:chicken,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:chicken"}
tag @e[type=minecraft:chicken,tag=!checked] add checked

execute as @e[type=minecraft:cow,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:cow"}
tag @e[type=minecraft:cow,tag=!checked] add checked

execute as @e[type=minecraft:creeper,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:creeper"}
tag @e[type=minecraft:creeper,tag=!checked] add checked

execute as @e[type=minecraft:enderman,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:enderman"}
tag @e[type=minecraft:enderman,tag=!checked] add checked

execute as @e[type=minecraft:ghast,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:ghast"}
tag @e[type=minecraft:ghast,tag=!checked] add checked

execute as @e[type=minecraft:husk,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:zombie"}
tag @e[type=minecraft:husk,tag=!checked] add checked

execute as @e[type=minecraft:llama,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:llama"}
tag @e[type=minecraft:llama,tag=!checked] add checked

execute as @e[type=minecraft:magma_cube,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:magma_cube"}
tag @e[type=minecraft:magma_cube,tag=!checked] add checked

execute as @e[type=minecraft:mooshroom,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:mooshroom"}
tag @e[type=minecraft:mooshroom,tag=!checked] add checked

execute as @e[type=minecraft:phantom,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:phantom"}
tag @e[type=minecraft:phantom,tag=!checked] add checked

execute as @e[type=minecraft:pig,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:pig"}
tag @e[type=minecraft:pig,tag=!checked] add checked

execute as @e[type=minecraft:polar_bear,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:polar_bear"}
tag @e[type=minecraft:polar_bear,tag=!checked] add checked

execute as @e[type=minecraft:rabbit,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:rabbit"}
tag @e[type=minecraft:rabbit,tag=!checked] add checked

execute as @e[type=minecraft:sheep,tag=!checked] run function game:mechanics/more_mob_drops_sheep
tag @e[type=minecraft:sheep,tag=!checked] add checked

execute as @e[type=minecraft:skeleton,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:skeleton"}
tag @e[type=minecraft:skeleton,tag=!checked] add checked

execute as @e[type=minecraft:slime,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:slime"}
tag @e[type=minecraft:slime,tag=!checked] add checked

execute as @e[type=minecraft:spider,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:spider"}
tag @e[type=minecraft:spider,tag=!checked] add checked

execute as @e[type=minecraft:squid,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:squid"}
tag @e[type=minecraft:squid,tag=!checked] add checked

execute as @e[type=minecraft:stray,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:skeleton"}
tag @e[type=minecraft:stray,tag=!checked] add checked

execute as @e[type=minecraft:turtle,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:turtle"}
tag @e[type=minecraft:turtle,tag=!checked] add checked

execute as @e[type=minecraft:villager,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:villager"}
tag @e[type=minecraft:villager,tag=!checked] add checked

execute as @e[type=minecraft:witch,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:witch"}
tag @e[type=minecraft:witch,tag=!checked] add checked

execute as @e[type=minecraft:wither_skeleton,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:wither_skeleton"}
tag @e[type=minecraft:wither_skeleton,tag=!checked] add checked

execute as @e[type=minecraft:wolf,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:wolf"}
tag @e[type=minecraft:wolf,tag=!checked] add checked

execute as @e[type=minecraft:zombie_pigman,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:zombie_pigman"}
tag @e[type=minecraft:zombie_pigman,tag=!checked] add checked

execute as @e[type=minecraft:zombie_villager,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:zombie_villager"}
tag @e[type=minecraft:zombie_villager,tag=!checked] add checked

execute as @e[type=minecraft:zombie,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:zombie"}
tag @e[type=minecraft:zombie,tag=!checked] add checked

execute as @e[type=minecraft:drowned,tag=!checked] run data merge entity @s {DeathLootTable:"mobs:zombie"}
tag @e[type=minecraft:drowned,tag=!checked] add checked



