# Author: SirSheepe
# Description: Starts the entire game
# Ran: game:start/countdown

scoreboard players set gameState game 1

gamerule doDaylightCycle true
#gamerule doWeatherCycle true
gamerule doTileDrops true
gamerule doFireTick true
gamerule doMobSpawning true
worldborder warning distance 0

scoreboard objectives setdisplay sidebar ingame

time set 0

clear @a
effect clear @a
effect give @a slowness 2 100 true
effect give @a blindness 2 0 true
tag @a[team=!] add inGame
tag @a[team=vertex] remove inGame
tag @a[team=patreon] remove inGame
gamemode survival @a[tag=inGame]
execute as @a[tag=!inGame] run function game:player_spectate
recipe give @a[tag=inGame] *
scoreboard players set @a[tag=inGame] kills 0
scoreboard players set @a[tag=inGame] deathCount 0
tag @a remove activeMenu
tag @a remove ready

kill @e[type=item]
kill @e[type=minecraft:experience_orb]

execute at @e[tag=map_centre] run function init:remove_lobby

title @a title {"text":"UHC Ultimate","color":"gold","bold":true,"italic":false,"underlined":false}
title @a subtitle {"text":"The UHC has begun!","color":"red"}

scoreboard objectives setdisplay list health
function game:init_mechanics
scoreboard players set gameTick game 0

execute store result score BorderSize ingame run worldborder get

scoreboard players set activeTeams game 0
execute as @r[team=red] run scoreboard players add activeTeams game 1
execute as @r[team=orange] run scoreboard players add activeTeams game 1
execute as @r[team=yellow] run scoreboard players add activeTeams game 1
execute as @r[team=green] run scoreboard players add activeTeams game 1
execute as @r[team=aqua] run scoreboard players add activeTeams game 1
execute as @r[team=blue] run scoreboard players add activeTeams game 1
execute as @r[team=purple] run scoreboard players add activeTeams game 1
execute as @r[team=pink] run scoreboard players add activeTeams game 1

bossbar add player_count [{"text":"Teams: "},{"score":{"name":"activeTeams","objective":"game"},"color":"gold","bold":true}]
bossbar set player_count color yellow
execute store result bossbar player_count max run scoreboard players get activeTeams game
execute store result bossbar player_count value run scoreboard players get activeTeams game

execute store result score centreX game run data get entity @e[tag=map_centre,limit=1] Pos[0]
execute store result score centreZ game run data get entity @e[tag=map_centre,limit=1] Pos[2]

tellraw @a ["",{"text":"[!] ","color":"yellow"},{"text":"The centre is at: ","color":"gray"},{"score":{"name":"centreX","objective":"game"},"color":"green"},{"text":", 64, ","color":"green"},{"score":{"name":"centreZ","objective":"game"},"color":"green"}]

execute as @a at @s run playsound minecraft:ui.toast.challenge_complete master @s ~ ~ ~ 1

scoreboard players add gameId game 1
scoreboard players operation @a gameId = gameId game