# Author: SirSheepe
# Description: Builds the lobby
# Ran: init:start

kill @e[tag=lobby]

fill ~11 ~ ~11 ~-11 ~ ~-11 black_concrete
fill ~10 ~ ~10 ~-10 ~ ~-10 barrier
fill ~11 ~2 ~11 ~-11 ~2 ~-11 barrier
fill ~10 ~2 ~10 ~-10 ~2 ~-10 air
setblock ~ ~ ~ gold_block

fill ~2 ~ ~9 ~-2 ~ ~10 black_concrete
fill ~-5 ~3 ~11 ~5 ~5 ~11 barrier
setblock ~ ~2 ~-11 gold_block

setblock ~1 ~1 ~10 minecraft:spruce_stairs[facing=west,half=top]
setblock ~-1 ~1 ~10 minecraft:spruce_stairs[facing=east,half=top]
setblock ~ ~1 ~10 minecraft:spruce_slab[type=top]
setblock ~ ~1 ~9 minecraft:oak_wall_sign[facing=north]
data merge block ~ ~1 ~9 {Text1:"{\"text\":\"Made by\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tellraw @s [\\\"\\\",{\\\"text\\\":\\\"\\\\u25c6\\\",\\\"color\\\":\\\"yellow\\\"},{\\\"text\\\":\\\" Welcome to\\\",\\\"color\\\":\\\"white\\\"},{\\\"text\\\":\\\" UHC Ultimate \\\",\\\"color\\\":\\\"gold\\\"},{\\\"text\\\":\\\"\\\\u25c6\\\",\\\"color\\\":\\\"yellow\\\"},{\\\"text\\\":\\\"\\\\n\\\"},{\\\"text\\\":\\\"Made by \\\",\\\"color\\\":\\\"white\\\"},{\\\"text\\\":\\\"[Vertex Creations]\\\",\\\"color\\\":\\\"red\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"open_url\\\",\\\"value\\\":\\\"https://vertex-creations.com\\\"},\\\"hoverEvent\\\":{\\\"action\\\":\\\"show_text\\\",\\\"value\\\":\\\"Visit our main page\\\"}},{\\\"text\\\":\\\"\\\\n\\\\n\\\"},{\\\"text\\\":\\\"View on our website:\\\",\\\"bold\\\":true,\\\"color\\\":\\\"red\\\"},{\\\"text\\\":\\\" \\\\u226b \\\",\\\"color\\\":\\\"gray\\\"},{\\\"text\\\":\\\"[View]\\\",\\\"color\\\":\\\"white\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"open_url\\\",\\\"value\\\":\\\"https://vertex-creations.com/?m=83?r=map\\\"},\\\"hoverEvent\\\":{\\\"action\\\":\\\"show_text\\\",\\\"value\\\":\\\"See the map on vertex-creations.com\\\"}},{\\\"text\\\":\\\" \\\\u226a\\\",\\\"color\\\":\\\"gray\\\"},{\\\"text\\\":\\\"\\\\n\\\"},{\\\"text\\\":\\\"Join our Discord:\\\",\\\"bold\\\":true,\\\"color\\\":\\\"blue\\\"},{\\\"text\\\":\\\" \\\\u226b\\\",\\\"color\\\":\\\"gray\\\"},{\\\"text\\\":\\\" \\\",\\\"color\\\":\\\"yellow\\\"},{\\\"text\\\":\\\"[Join]\\\",\\\"color\\\":\\\"green\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"open_url\\\",\\\"value\\\":\\\"https://discord.gg/8fCbVJb\\\"},\\\"hoverEvent\\\":{\\\"action\\\":\\\"show_text\\\",\\\"value\\\":\\\"Join our Discord server\\\"}},{\\\"text\\\":\\\" \\\\u226a\\\",\\\"color\\\":\\\"gray\\\"},{\\\"text\\\":\\\"\\\\n\\\\n\\\"},{\\\"text\\\":\\\"Support us on Patreon: \\\",\\\"bold\\\":true,\\\"color\\\":\\\"gold\\\"},{\\\"text\\\":\\\"\\\\u226b \\\",\\\"color\\\":\\\"gray\\\"},{\\\"text\\\":\\\"[Support]\\\",\\\"color\\\":\\\"yellow\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"open_url\\\",\\\"value\\\":\\\"https://patreon.com/vertexcreations\\\"},\\\"hoverEvent\\\":{\\\"action\\\":\\\"show_text\\\",\\\"value\\\":\\\"Support us on Patreon\\\"}},{\\\"text\\\":\\\" \\\\u226a\\\",\\\"color\\\":\\\"gray\\\"},{\\\"text\\\":\\\"\\\\n\\\"},{\\\"text\\\":\\\"Patreons: \\\",\\\"color\\\":\\\"gold\\\"},{\\\"text\\\":\\\"CrazyCowMM & ChainsawNinja\\\",\\\"color\\\":\\\"yellow\\\"},{\\\"text\\\":\\\"\\\\n\\\\n\\\"},{\\\"text\\\":\\\"Sponsored by\\\",\\\"color\\\":\\\"green\\\"},{\\\"text\\\":\\\" \\\"},{\\\"text\\\":\\\"[Nodecraft]\\\",\\\"color\\\":\\\"dark_green\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"open_url\\\",\\\"value\\\":\\\"https://nodecraft.com/r/vertexcreations\\\"},\\\"hoverEvent\\\":{\\\"action\\\":\\\"show_text\\\",\\\"value\\\":\\\"Visit nodecraft to get your own server today!\\\"}}]\"}}",Text2:"{\"text\":\"Vertex\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"execute at @s run playsound minecraft:block.note_block.harp master @s ~ ~ ~ 0.5 2\"},\"bold\":true,\"color\":\"red\"}",Text3:"{\"text\":\"Creations\",\"bold\":true,\"color\":\"red\"}",Text4:"{\"text\":\"[Info]\",\"color\":\"blue\",\"bold\":\"true\"}"}

setblock ~ ~2 ~-10 minecraft:oak_button[facing=south]

summon minecraft:armor_stand ~0 203.0 ~-11 {NoGravity:1,Tags:["lobby","start"],CustomName:"{\"text\":\"Start UHC\",\"color\":\"yellow\"}",CustomNameVisible:1,Invisible:1,Marker:1,Small:1}

summon armor_stand ~1.85 ~1 ~9.9 {Invulnerable:1b,Tags:["lobby"],NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Small:1b,Rotation:[180f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:11776947}}},{id:"leather_leggings",Count:1b,tag:{display:{color:7566195}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:9868950}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Name:"Tomhelduf",Id:"54ebfec7-f55c-219f-1fc5-f85c1b21afed",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNTRlYmZlYzdmNTVjMjE5ZjFmYzVmODVjMWIyMWFmZWQ0NDNjMWNlNmI0YTRlYjlmMmI5ZWJhMDkzMjA5YWRiMiJ9fX0="}]}}}}],HandItems:[{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Name:"ChainsawNinja",Id:"5f3e02fd-5dd9-1a62-ed7c-483de4887fa0",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNWYzZTAyZmQ1ZGQ5MWE2MmVkN2M0ODNkZTQ4ODdmYTA4MzQ5Njk2MzFmYzgzYzkxNWEwODhiYTQ1NDNlOTU3YSJ9fX0="}]}}}},{}],CustomName:"{\"text\":\"Tomhelduf\",\"color\":\"white\",\"bold\":\"true\"}",CustomNameVisible:1b,DisabledSlots:2039583,Pose:{LeftLeg:[9f,0f,356f],RightLeg:[352f,0f,1f],LeftArm:[342f,1f,218f],RightArm:[0f,0f,11f]}}
summon armor_stand ~1 ~1.7 ~10 {Invulnerable:1b,Tags:["lobby"],NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Small:1b,Rotation:[176f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:3355443}}},{id:"leather_leggings",Count:1b,tag:{display:{color:7895160}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:41200}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"02e5c3a6-3e4e-4695-b0f9-35482622f8c4",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvODczMTEzYzMzNjFiZDM3MWU4OTk4NDM0NTE5YjhhYWY1OWI5NDkwNmNjYmRmMmMyNWQ5NGM5ODFiZWM2ZTgwZCJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"SirSheepe\",\"color\":\"aqua\",\"bold\":\"true\"}",CustomNameVisible:1b,DisabledSlots:2039583,Pose:{Body:[356f,0f,0f],Head:[352f,0f,0f],LeftLeg:[270f,340f,7f],RightLeg:[270f,15f,352f],LeftArm:[354f,0f,220f],RightArm:[348f,0f,143f]}}
summon armor_stand ~ ~2 ~10 {Invulnerable:1b,Tags:["lobby"],NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Small:1b,Rotation:[176f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:13172736}}},{id:"leather_leggings",Count:1b,tag:{display:{color:7895160}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:8716288}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"3516657e-d749-40de-86b3-5e91540248ec",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTkxYTQwZjExNDFmMTA5YzQzMzZkNDY5MWU2NWE3OTc2ZjlhZjVmZjU3NWI3NTYwNjE5MGQ3NjgxZGE5MjYyYSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"marhjo\",\"color\":\"red\",\"bold\":\"true\"}",CustomNameVisible:1b,DisabledSlots:2039583,Pose:{Body:[360f,0f,0f],Head:[352f,0f,0f],LeftLeg:[0f,360f,346f],RightLeg:[0f,0f,13f],LeftArm:[0f,0f,268f],RightArm:[0f,0f,94f]}}
summon armor_stand ~-1 ~1.7 ~10 {Invulnerable:1b,Tags:["lobby"],NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Small:1b,Rotation:[176f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:13205504}}},{id:"leather_leggings",Count:1b,tag:{display:{color:5723991}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:1184274}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"8d6ac22e-a051-4931-b07e-a5035299a38e",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNTEzZDViZGFiZDhjYmVhZTJmNjZhOTdiNDQ5ZmNlY2ZlODI2YzlhMWJjMzAzMzk3Y2YwOTMwYWY1YTkyOTgwNCJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"Chopper2112\",\"color\":\"yellow\",\"bold\":\"true\"}",CustomNameVisible:1b,DisabledSlots:2039583,Pose:{Body:[356f,0f,0f],Head:[5f,0f,0f],LeftLeg:[270f,340f,7f],RightLeg:[270f,15f,352f],LeftArm:[330f,0f,249f],RightArm:[230f,15f,100f]}}
summon armor_stand ~-2 ~0.65 ~9.9 {Invulnerable:1b,Tags:["lobby"],NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Small:1b,Rotation:[180f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:657930}}},{id:"leather_leggings",Count:1b,tag:{display:{color:10263708}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:5066061}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Name:"TheRedstnePotato",Id:"8c18888b-2439-c9f8-044b-97ba291d2eda",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvOGMxODg4OGIyNDM5YzlmODA0NGI5N2JhMjkxZDJlZGE4YjMzNzVkMTUxNjM3MWVjNzc0NDcxYTAyYTMyODYyYyJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"TheRedstnePotato\",\"color\":\"gold\",\"bold\":\"true\"}",CustomNameVisible:1b,DisabledSlots:2039583,Pose:{Body:[356f,9f,0f],Head:[0f,13f,3f],LeftLeg:[268f,354f,356f],RightLeg:[267f,15f,0f],LeftArm:[11f,1f,352f],RightArm:[9f,0f,7f]}}
summon armor_stand ~1 ~0.65 ~9.3 {Invulnerable:1b,Tags:["lobby"],NoBasePlate:1b,NoGravity:1b,ShowArms:1b,Small:1b,Rotation:[180f],ArmorItems:[{id:"leather_boots",Count:1b,tag:{display:{color:10381088}}},{id:"leather_leggings",Count:1b,tag:{display:{color:3629696}}},{id:"leather_chestplate",Count:1b,tag:{display:{color:8553090}}},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"742cd9b5-368b-4dbf-be98-e629ecd6127f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZGQwMDhjNzBmZTFhMmNmMGQyMzVjY2IwYjczNjYwMDljMmZmYmIyNzIxYzRmYjhlYWY5MTJkZWEwMmU0MDM3NSJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"gibbsly\",\"color\":\"green\",\"bold\":\"true\"}",CustomNameVisible:1b,DisabledSlots:2039583,Pose:{Body:[7f,0f,0f],Head:[356f,0f,0f],LeftLeg:[270f,352f,0f],RightLeg:[268f,9f,0f],LeftArm:[336f,328f,0f],RightArm:[334f,17f,104f]}}


worldborder warning distance 0
worldborder damage amount 0
worldborder damage buffer 0
worldborder set 53
worldborder center ~ ~