# Author: SirSheepe
# Description: Activates the battle royale preset
# Ran: menu:settings/presets/detect

function menu:settings/default_settings

scoreboard players set borderInitialSize settings 1000
scoreboard players set timeUntilShrink settings 300
scoreboard players set borderShrinkDuration settings 3600
scoreboard players set gracePeriodDuration settings 0
scoreboard players set balancedWeaponsOption settings 1
scoreboard players set expensiveSheildsOption settings 1
scoreboard players set fireworkMissilesOption settings 1
scoreboard players set speedOption settings 2
scoreboard players set hasteOption settings 1
scoreboard players set jumpBoostOption settings 2
scoreboard players set airdropOption settings 3
scoreboard players set moreMobDropsOption settings 1
scoreboard players set silentMobsOption settings 1
scoreboard players set hostileMobsOption settings 1
scoreboard players set friendlyFireOption settings 1
scoreboard players set unstableTntOption settings 1
scoreboard players set craftingOneOption settings 1
scoreboard players set craftingTwoOption settings 1
scoreboard players set craftingThreeOption settings 1
scoreboard players set aquaticOption settings 1

function menu:settings/presets/init

execute as @a[scores={menuState=1}] run function menu:settings/menu/init

execute as @a at @s run playsound minecraft:block.note_block.harp master @s ~ ~ ~ 0.5 2

tellraw @a [{"text":"[!] ","color":"yellow"},{"text":"Battle Royale Preset","color":"gold"},{"text":" has been applied by ","color":"gray"},{"selector":"@s","color":"reset"}]