# Author: SirSheepe
# Description: Detects if a player has tried to change team, and depending on the game state acts accordingly.
# @s: The player we're checking
# Ran: map:loop/lobby

# The player has tried to pick red
execute if entity @s[nbt=!{Inventory:[{Slot:9b,Count:1b,id:"minecraft:player_head"}]}] run function menu:teams/handler/red

# The player has tried to pick orange
execute if entity @s[nbt=!{Inventory:[{Slot:10b,Count:1b,id:"minecraft:player_head"}]}] run function menu:teams/handler/orange

# The player has tried to pick yellow
execute if entity @s[nbt=!{Inventory:[{Slot:11b,Count:1b,id:"minecraft:player_head"}]}] run function menu:teams/handler/yellow

# The player has tried to pick green
execute if entity @s[nbt=!{Inventory:[{Slot:12b,Count:1b,id:"minecraft:player_head"}]}] run function menu:teams/handler/green

# The player has tried to pick blue
execute if entity @s[nbt=!{Inventory:[{Slot:13b,Count:1b,id:"minecraft:player_head"}]}] run function menu:teams/handler/aqua

# The player has tried to pick indigo
execute if entity @s[nbt=!{Inventory:[{Slot:14b,Count:1b,id:"minecraft:player_head"}]}] run function menu:teams/handler/blue

# The player has tried to pick purple
execute if entity @s[nbt=!{Inventory:[{Slot:15b,Count:1b,id:"minecraft:player_head"}]}] run function menu:teams/handler/purple

# The player has tried to pick pink
execute if entity @s[nbt=!{Inventory:[{Slot:16b,Count:1b,id:"minecraft:player_head"}]}] run function menu:teams/handler/pink

# The player has tried to pick spectator
execute if entity @s[nbt=!{Inventory:[{Slot:17b,Count:1b,id:"minecraft:player_head"}]}] run function menu:teams/handler/spectator


# The player has tried to open the team randomize menu
execute if score playerCount game matches 2.. if entity @s[nbt=!{Inventory:[{Slot:29b,Count:1b,id:"minecraft:player_head"}]}] as @s run function menu:teams/randomize/init

execute if score playerCount game matches 1 if entity @s[nbt=!{Inventory:[{Slot:29b,Count:1b,id:"minecraft:player_head"}]}] at @s run playsound minecraft:block.anvil.land master @s ~ ~ ~ 0.5
execute if score playerCount game matches 1 if entity @s[nbt=!{Inventory:[{Slot:29b,Count:1b,id:"minecraft:player_head"}]}] run function menu:main