# Author: SirSheepe
# Description: Initializes the menu if the player doesn't have one active. (Won't be ran if they have the activeMenu tag. See below)
# Tags: "activeMenu" - Basically a tag that makes it so the menu only reacts and works for players who have this tag.
# @s: Player to execute on
# Ran: menu:init


# This basically just sets the team heads into the inventory as "unselected" variant.
function menu:teams/unselect_all

# This selects the correct one in the menu.
function menu:teams/select_team

# Then we need to set the team randomize menu ready.
execute if score playerCount game matches 2.. run replaceitem entity @s inventory.20 minecraft:player_head{MenuItem:1b,display:{Name:"[{\"text\":\"▶\",\"color\":\"yellow\",\"italic\":\"false\"},{\"text\":\" Randomize Teams \",\"color\":\"white\"},{\"text\":\"◀\",\"color\":\"yellow\"}]",Lore:["{\"text\":\"Enter the team randomization menu\",\"italic\":\"false\",\"color\":\"gray\"}"]},SkullOwner:{Id:"a9eb4c07-8d72-4611-ae5e-d033f769187f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYmY5Mjg5N2NkMjlhN2Q1ZjNlZDBlYTg2OGQ5MGVjMTQxNDdlYTIwY2JhNmQwMmU3YjgxY2M3ZjM4MjAyNTI3NiJ9fX0="}]}}} 1
execute if score playerCount game matches 1 run replaceitem entity @s inventory.20 minecraft:player_head{MenuItem:1b,display:{Name:"[{\"text\":\"Team Randomization Disabled\",\"color\":\"red\",\"italic\":\"false\"}]",Lore:["{\"text\":\"Two or more players are required to randomize teams\",\"italic\":\"false\",\"color\":\"gray\"}"]},SkullOwner:{Id:"a9eb4c07-8d72-4611-ae5e-d033f769187f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYmY5Mjg5N2NkMjlhN2Q1ZjNlZDBlYTg2OGQ5MGVjMTQxNDdlYTIwY2JhNmQwMmU3YjgxY2M3ZjM4MjAyNTI3NiJ9fX0="}]}}} 1