# Author: SirSheepe
# Description: Sets all of the team selection heads into the player's inventory
# @s: Player with the inventory we're editing
# Ran: menu:teams/init, 

# Order: Red, Orange, Yellow, Green, Blue, Indigo, Purple, Pink, Leave/Spectate

# NBT Tag "TeamItem" identifies it as an item used in team selection.
# NBT Tag "MenuItem" identifies it as an item used in the inventory menu.


replaceitem entity @s inventory.0 minecraft:player_head{TeamItem:1b,MenuItem:1b,display:{Name:"[{\"text\":\"▶\",\"color\":\"yellow\",\"italic\":\"false\"},{\"text\":\" Join \",\"color\":\"white\"},{\"text\":\"Red \",\"color\":\"red\"},{\"text\":\"◀\",\"color\":\"yellow\"}]",Lore:["{\"text\":\"Puts you on the red team\",\"italic\":\"false\",\"color\":\"gray\"}"]},SkullOwner:{Id:"e33d545f-b05c-420e-9340-49dc580e5199",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZTMxNWVjNjE2MTFmMWNmNDFjOWM1YWU0NTU4ZjFhMGE5NjdlNzFmZjZhYWFlNGFhYzViMjY4NzQyZmVhYTFmOCJ9fX0="}]}}} 1

replaceitem entity @s inventory.1 minecraft:player_head{TeamItem:1b,MenuItem:1b,display:{Name:"[{\"text\":\"▶\",\"color\":\"yellow\",\"italic\":\"false\"},{\"text\":\" Join \",\"color\":\"white\"},{\"text\":\"Orange \",\"color\":\"gold\"},{\"text\":\"◀\",\"color\":\"yellow\"}]",Lore:["{\"text\":\"Puts you on the orange team\",\"italic\":\"false\",\"color\":\"gray\"}"]},SkullOwner:{Id:"08105425-7095-43b5-b839-361f59d98830",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMmU1NzJhNmRjNzU5ZWE1M2FmZjk2YTE1ZThlM2E4MjcyY2EwZTA0YTA2Njk2YjkyNTMwODU4NDk5MWM1Mjk4YyJ9fX0="}]}}} 1

replaceitem entity @s inventory.2 minecraft:player_head{TeamItem:1b,MenuItem:1b,display:{Name:"[{\"text\":\"▶\",\"color\":\"yellow\",\"italic\":\"false\"},{\"text\":\" Join \",\"color\":\"white\"},{\"text\":\"Yellow \",\"color\":\"yellow\"},{\"text\":\"◀\",\"color\":\"yellow\"}]",Lore:["{\"text\":\"Puts you on the yellow team\",\"italic\":\"false\",\"color\":\"gray\"}"]},SkullOwner:{Id:"4ecec039-1547-49fd-b215-d2c8d2f3c661",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNzM3OGNkZjdmZTNlMmJiZjQ2Nzc2ZjdiMzBkZDhhMTUxMzNjOWFiZTU0NjNlMTVkZGVkYWIyMWQxNTg1ODYwYyJ9fX0="}]}}} 1

replaceitem entity @s inventory.3 minecraft:player_head{TeamItem:1b,MenuItem:1b,display:{Name:"[{\"text\":\"▶\",\"color\":\"yellow\",\"italic\":\"false\"},{\"text\":\" Join \",\"color\":\"white\"},{\"text\":\"Green \",\"color\":\"green\"},{\"text\":\"◀\",\"color\":\"yellow\"}]",Lore:["{\"text\":\"Puts you on the green team\",\"italic\":\"false\",\"color\":\"gray\"}"]},SkullOwner:{Id:"c5b5fa8a-3e49-4338-b038-8de5045daa18",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNzY3ZDdkYmUwZGZkMzQ5YzYzODE1MzhkOWYzY2RmN2Q5MWNiM2Q0NzQ1ZDE2YTk3M2ZjMDUyZGM1NTQwMWEzYyJ9fX0="}]}}} 1

replaceitem entity @s inventory.4 minecraft:player_head{TeamItem:1b,MenuItem:1b,display:{Name:"[{\"text\":\"▶\",\"color\":\"yellow\",\"italic\":\"false\"},{\"text\":\" Join \",\"color\":\"white\"},{\"text\":\"Aqua \",\"color\":\"aqua\"},{\"text\":\"◀\",\"color\":\"yellow\"}]",Lore:["{\"text\":\"Puts you on the aqua team\",\"italic\":\"false\",\"color\":\"gray\"}"]},SkullOwner:{Id:"32aa5c75-a12e-4da2-8ab6-735cb427df09",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNzY1NWY4YWM0MTNlNGNhODRmNDAwNzhkZTVkYmRkM2I3OTU4Yjk5OWJkZmI1ODRhMDc3ODVjM2E1ZjM1NTlmNiJ9fX0="}]}}} 1

replaceitem entity @s inventory.5 minecraft:player_head{TeamItem:1b,MenuItem:1b,display:{Name:"[{\"text\":\"▶\",\"color\":\"yellow\",\"italic\":\"false\"},{\"text\":\" Join \",\"color\":\"white\"},{\"text\":\"Blue \",\"color\":\"blue\"},{\"text\":\"◀\",\"color\":\"yellow\"}]",Lore:["{\"text\":\"Puts you on the blue team\",\"italic\":\"false\",\"color\":\"gray\"}"]},SkullOwner:{Id:"77260958-e58f-4ce7-835a-f2822232cc9f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNDgwNjIyMmQ1MmU0Y2Y4ZWRmOWRhNDQ4NzQwOGI1ODQzYzMwMzAyMWRmNzliMGZkNWQ1MDYwY2FhMGY4MGJlZSJ9fX0="}]}}} 1

replaceitem entity @s inventory.6 minecraft:player_head{TeamItem:1b,MenuItem:1b,display:{Name:"[{\"text\":\"▶\",\"color\":\"yellow\",\"italic\":\"false\"},{\"text\":\" Join \",\"color\":\"white\"},{\"text\":\"Purple \",\"color\":\"dark_purple\"},{\"text\":\"◀\",\"color\":\"yellow\"}]",Lore:["{\"text\":\"Puts you on the purple team\",\"italic\":\"false\",\"color\":\"gray\"}"]},SkullOwner:{Id:"fb7b0385-33c1-41d0-84a3-3ea6cd4356bf",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTY1Nzg4MDJiYzNiOTc0NmFkOGQ1YjFjNmY1ODI5YTNhOTk0YTI4ODQ1ODRjMzcwNDZkMDZlNGE1ODU1Y2JmNSJ9fX0="}]}}} 1

replaceitem entity @s inventory.7 minecraft:player_head{TeamItem:1b,MenuItem:1b,display:{Name:"[{\"text\":\"▶\",\"color\":\"yellow\",\"italic\":\"false\"},{\"text\":\" Join \",\"color\":\"white\"},{\"text\":\"Pink \",\"color\":\"light_purple\"},{\"text\":\"◀\",\"color\":\"yellow\"}]",Lore:["{\"text\":\"Puts you on the pink team\",\"italic\":\"false\",\"color\":\"gray\"}"]},SkullOwner:{Id:"ad655aa1-c65f-4a86-b6ff-a7602ec17cf8",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvODY4MWRlY2IwODEyMjY3MmJkMDgwNTA5NWZkY2NjZDc2ZWU0MzI1ZGYwMjMwYTkyN2Q2MzJlNDA2ZjZkNGVlIn19fQ=="}]}}} 1

replaceitem entity @s inventory.8 minecraft:player_head{TeamItem:1b,MenuItem:1b,display:{Name:"[{\"text\":\"▶\",\"color\":\"yellow\",\"italic\":\"false\"},{\"text\":\" Join \",\"color\":\"white\"},{\"text\":\"Spectators \",\"color\":\"white\"},{\"text\":\"◀\",\"color\":\"yellow\"}]",Lore:["{\"text\":\"Makes you a spectator\",\"italic\":\"false\",\"color\":\"gray\"}"]},SkullOwner:{Id:"6d95d88d-d79a-4e97-9ced-e5c254aa079f",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNDM1NTZkNGQ1ZDc4ODliNDBlOTdlZThjMjM1YTQzMDU4MzFmMmU3MGE5YjQyYWQ0NTU4ZTZjNzg2NjgxMDNkZiJ9fX0="}]}}} 1