# Author: SirSheepe
# Description: Runs the main mechanics for black magic
# Ran: game:loop/game


execute as @e[type=item,nbt={Item:{id:"minecraft:golden_apple",Count:1b}}] unless entity @s[nbt={Item:{tag:{Modified:1b}}}] at @s if block ~ ~ ~ enchanting_table run function game:mechanics/apple_modifiers
execute as @a[tag=inGame] if entity @s[scores={eatenApple=1..,appleId=1..}] run function game:mechanics/apply_modifiers

scoreboard players set @a eatenApple 0
scoreboard players set @a appleId 0
execute as @a[tag=inGame,nbt={SelectedItem:{id:"minecraft:golden_apple",tag:{Modified:1b}}}] store result score @s appleId run data get entity @s SelectedItem.tag.Modifier

execute as @a[tag=inGame] at @s positioned ~ ~1.5 ~ run function game:mechanics/mark_items

execute as @a at @s as @e[type=item,distance=..10,nbt={Item:{id:"minecraft:diamond",Count:1b},OnGround:1b}] run function game:mechanics/trap_create
execute as @e[tag=trap,type=armor_stand] at @s positioned ~ ~0.1 ~ run function game:mechanics/check_legal
execute as @a at @s as @e[type=armor_stand,tag=trap,distance=..10] run data merge entity @s {Fire:2000}

execute as @a[tag=inGame] at @s positioned ~ ~-1 ~ unless score @e[type=armor_stand,tag=poison,tag=trap,distance=..0.75,limit=1] game = @s game as @e[type=armor_stand,tag=poison,tag=trap,distance=..0.75,limit=1] at @s run function game:mechanics/traps/poison_trigger
execute as @a[tag=inGame] at @s positioned ~ ~-1 ~ unless score @e[type=armor_stand,tag=stun,tag=trap,distance=..0.75,limit=1] game = @s game as @e[type=armor_stand,tag=stun,tag=trap,distance=..0.75,limit=1] at @s run function game:mechanics/traps/stun_trigger
execute as @a[tag=inGame] at @s positioned ~ ~-1 ~ unless score @e[type=armor_stand,tag=blind,tag=trap,distance=..0.75,limit=1] game = @s game as @e[type=armor_stand,tag=blind,tag=trap,distance=..0.75,limit=1] at @s run function game:mechanics/traps/blind_trigger
execute as @a[tag=inGame] at @s positioned ~ ~-1 ~ unless score @e[type=armor_stand,tag=fire,tag=trap,distance=..0.75,limit=1] game = @s game as @e[type=armor_stand,tag=fire,tag=trap,distance=..0.75,limit=1] at @s run function game:mechanics/traps/fire_trigger
execute as @a[tag=inGame] at @s positioned ~ ~-1 ~ unless score @e[type=armor_stand,tag=slow,tag=trap,distance=..0.75,limit=1] game = @s game as @e[type=armor_stand,tag=slow,tag=trap,distance=..0.75,limit=1] at @s run function game:mechanics/traps/slow_trigger

execute as @e[type=item,nbt={Item:{id:"minecraft:emerald",Count:1b}}] unless entity @s[nbt={Item:{tag:{Special:1b}}}] at @s if block ~ ~ ~ enchanting_table run function game:mechanics/resurrection_stone

scoreboard players remove @e[tag=skele] gameId 1
execute as @e[tag=skele] at @s run tp @s ~ ~ ~ ~7 0
execute as @e[tag=skele,scores={gameId=..0}] at @s run function game:mechanics/resurrect_skele

execute as @a at @s as @e[type=skeleton,distance=..10,limit=1] at @s as @e[type=item,distance=..1.5,nbt={Item:{id:"minecraft:emerald",Count:1b,tag:{Special:1b}}},limit=1] run function game:mechanics/skele_resurrect