# Author: SirSheepe
# Description: Runs the thirst mechanics
# Ran: game:loop/game

execute if score thirstDelay thirst matches 0 run tellraw @a[tag=inGame,scores={thirst=99}] [{"text":"[!] ","color":"yellow"},{"text":"You're faint from thirst.. Drink something quick or you'll die!"}]

execute if score thirstDelay thirst matches 0 as @a[tag=inGame,scores={thirst=..99}] run scoreboard players add @s thirst 1
execute if score thirstDelay thirst matches 0 run scoreboard players set thirstDelay thirst 121
execute if score thirstDelay thirst matches 1.. run scoreboard players remove thirstDelay thirst 1

effect give @a[scores={thirst=70..84}] slowness 1 0 true
effect give @a[scores={thirst=85..100}] slowness 1 1 true
effect give @a[scores={thirst=100}] poison 1 0 true
effect give @a[scores={thirst=100}] nausea 5 0 true

execute as @a[tag=holdingWater,scores={drankPotion=1..}] run function game:mechanics/thirst_increase

execute as @a[tag=inGame] run title @s actionbar ["",{"text":"Thirst:","color":"gray"},{"text":" "},{"score":{"name":"@s","objective":"thirst"},"color":"green"},{"text":"%","color":"green"}]
execute as @a[tag=inGame] at @s run title @a[tag=!inGame,distance=0] actionbar ["",{"text":"Thirst:","color":"gray"},{"text":" "},{"score":{"name":"@s","objective":"thirst"},"color":"green"},{"text":"%","color":"green"},{"text":" | Health: ","color":"gray"},{"score":{"name":"@s","objective":"health"},"color":"red"}]

tag @a[tag=inGame] remove holdingWater
tag @a[tag=inGame,nbt={SelectedItem:{id:"minecraft:potion",Count:1b,tag:{Potion:"minecraft:water"}}}] add holdingWater