# Author: SirSheepe
# Description: Attempts to start the game
# Ran: game:loop/lobby

scoreboard players set activeTeams game 0

execute as @r[team=red] run scoreboard players add activeTeams game 1
execute as @r[team=orange] run scoreboard players add activeTeams game 1
execute as @r[team=yellow] run scoreboard players add activeTeams game 1
execute as @r[team=green] run scoreboard players add activeTeams game 1
execute as @r[team=aqua] run scoreboard players add activeTeams game 1
execute as @r[team=blue] run scoreboard players add activeTeams game 1
execute as @r[team=purple] run scoreboard players add activeTeams game 1
execute as @r[team=pink] run scoreboard players add activeTeams game 1

scoreboard players set readyPlayerCount game 0
execute as @a[tag=ready,team=!] run scoreboard players add readyPlayerCount game 1

scoreboard players set activePlayers game 0
execute as @a[team=!] run scoreboard players add activePlayers game 1

execute if score activeTeams game matches ..1 run tellraw @a [{"text":"[!] ","color":"yellow"},{"text":"There must be ","color":"gray"},{"text":"at least 2 teams ","color":"green"},{"text":"to start the game.","color":"gray"}]

execute if score activeTeams game matches 2.. unless score readyPlayerCount game = activePlayers game run tellraw @a [{"text":"[!] ","color":"yellow"},{"text":"All players must be ready to start the game.","color":"gray"}]

execute at @e[tag=start] run setblock ~ ~-1 ~1 oak_button[facing=south,powered=false]

execute if score activeTeams game matches ..1 as @a at @e[tag=start] positioned ~ ~-1 ~1 run playsound minecraft:block.anvil.land master @s ~ ~ ~ 0.2 0.8
execute if score activeTeams game matches 2.. unless score readyPlayerCount game = activePlayers game as @a at @e[tag=start] positioned ~ ~-1 ~1 run playsound minecraft:block.anvil.land master @s ~ ~ ~ 0.2 0.8

execute if score activeTeams game matches 2.. if score readyPlayerCount game = activePlayers game run function game:start/countdown_start
