# Author: SirSheepe
# Description: Detects whether a handler needs to be ran for a selection.
# @s: The player who's inventory we're editing
# Ran: map:loop/lobby

execute if entity @s[nbt=!{Inventory:[{Slot:17b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/close


# Border Radius Check
execute if entity @s[nbt=!{Inventory:[{Slot:9b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/border_radius

# Border Shrink Delay Check
execute if entity @s[nbt=!{Inventory:[{Slot:18b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/border_shrink_delay

# Border Shrink Time Check
execute if entity @s[nbt=!{Inventory:[{Slot:27b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/border_shrink_time


# Health Check
execute if entity @s[nbt=!{Inventory:[{Slot:10b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/health

# Grace Period Check
execute if entity @s[nbt=!{Inventory:[{Slot:19b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/grace_period

# Grace Period Heal Check
execute if entity @s[nbt=!{Inventory:[{Slot:28b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/grace_period_heal


# Balanced Weapons Check
execute if entity @s[nbt=!{Inventory:[{Slot:11b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/balanced_weapons

# Expensive Sheilds Check
execute if entity @s[nbt=!{Inventory:[{Slot:20b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/expensive_sheilds

# Firework Missiles Check
execute if entity @s[nbt=!{Inventory:[{Slot:29b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/firework_missiles


# Speed Check
execute if entity @s[nbt=!{Inventory:[{Slot:12b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/speed

# Haste Check
execute if entity @s[nbt=!{Inventory:[{Slot:21b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/haste

# Jump Boost Check
execute if entity @s[nbt=!{Inventory:[{Slot:30b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/jump_boost


# Instant Smelt Check
execute if entity @s[nbt=!{Inventory:[{Slot:13b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/instant_smelt

# Airdrop Check
execute if entity @s[nbt=!{Inventory:[{Slot:22b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/airdrop

# More Mob Drops Check
execute if entity @s[nbt=!{Inventory:[{Slot:31b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/more_mob_drops


# Harder Mobs Check
execute if entity @s[nbt=!{Inventory:[{Slot:14b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/harder_mobs

# Silent Mobs Check
execute if entity @s[nbt=!{Inventory:[{Slot:23b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/silent_mobs

# Hostile Mobs Check
execute if entity @s[nbt=!{Inventory:[{Slot:32b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/hostile_mobs


# Friendly Fire Check
execute if entity @s[nbt=!{Inventory:[{Slot:15b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/friendly_fire

# Thirst Check
execute if entity @s[nbt=!{Inventory:[{Slot:24b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/thirst

# Unstable TNT Check
execute if entity @s[nbt=!{Inventory:[{Slot:33b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/unstable_tnt


# Crafting One Check
execute if entity @s[nbt=!{Inventory:[{Slot:16b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/crafting_one

# Crafting Two Check
execute if entity @s[nbt=!{Inventory:[{Slot:25b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/crafting_two

# Crafting Three Check
execute if entity @s[nbt=!{Inventory:[{Slot:34b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/dark_magic

# Aquatic Mode Check
execute if entity @s[nbt=!{Inventory:[{Slot:26b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/aquatic_mode

# Phantoms Check
execute if entity @s[nbt=!{Inventory:[{Slot:35b,Count:1b,id:"minecraft:player_head"}]},scores={menuState=1}] run function menu:settings/menu/handler/phantoms
