# Author: SirSheepe
# Description: Runs the option handler for this setting
# @s: The player who's inventory we're changing
# Ran: menu:settings/menu/detect

# 30 min = 1800
# 1h = 3600
# 1.5h = 5400
# 2h = 7200
# 3h = 10800

execute if score borderShrinkDuration settings matches 7200.. run scoreboard players add borderShrinkDuration settings 3600
execute if score borderShrinkDuration settings matches ..7199 run scoreboard players add borderShrinkDuration settings 1800
execute if score borderShrinkDuration settings matches 10801.. run scoreboard players set borderShrinkDuration settings 1800

execute at @s run playsound minecraft:block.note_block.harp master @s ~ ~ ~ 0.5 2

execute if score borderShrinkDuration settings matches 1800 run tellraw @a [{"text":"[!] ","color":"yellow"},{"selector":"@s","color":"white"},{"text":" Updated Border Shrink Time: ","color":"gray"},{"text":"30 minutes","color":"green"}]
execute if score borderShrinkDuration settings matches 3600 run tellraw @a [{"text":"[!] ","color":"yellow"},{"selector":"@s","color":"white"},{"text":" Updated Border Shrink Time: ","color":"gray"},{"text":"1 hour","color":"green"}]
execute if score borderShrinkDuration settings matches 5400 run tellraw @a [{"text":"[!] ","color":"yellow"},{"selector":"@s","color":"white"},{"text":" Updated Border Shrink Time: ","color":"gray"},{"text":"1 hour, 30 minutes","color":"green"}]
execute if score borderShrinkDuration settings matches 7200 run tellraw @a [{"text":"[!] ","color":"yellow"},{"selector":"@s","color":"white"},{"text":" Updated Border Shrink Time: ","color":"gray"},{"text":"2 hours","color":"green"}]
execute if score borderShrinkDuration settings matches 10800 run tellraw @a [{"text":"[!] ","color":"yellow"},{"selector":"@s","color":"white"},{"text":" Updated Border Shrink Time: ","color":"gray"},{"text":"3 hours","color":"green"}]

function menu:settings/menu/update_all

