# Author: SirSheepe
# Description: Activates the speed preset
# Ran: menu:settings/presets/detect

function menu:settings/default_settings

scoreboard players set borderInitialSize settings 250
scoreboard players set timeUntilShrink settings 0
scoreboard players set borderShrinkDuration settings 1800
scoreboard players set healthOption settings 1
scoreboard players set gracePeriodDuration settings 300
scoreboard players set graceHealOption settings 1
scoreboard players set expensiveSheildsOption settings 1
scoreboard players set fireworkMissilesOption settings 1
scoreboard players set speedOption settings 3
scoreboard players set hasteOption settings 2
scoreboard players set jumpBoostOption settings 3
scoreboard players set instantSmeltOption settings 1
scoreboard players set airdropOption settings 2
scoreboard players set moreMobDropsOption settings 1
scoreboard players set friendlyFireOption settings 1
scoreboard players set unstableTntOption settings 1
scoreboard players set craftingOneOption settings 1
scoreboard players set craftingThreeOption settings 1
scoreboard players set aquaticOption settings 1
scoreboard players set phantomOption settings 0

function menu:settings/presets/init

execute as @a[scores={menuState=1}] run function menu:settings/menu/init

execute as @a at @s run playsound minecraft:block.note_block.harp master @s ~ ~ ~ 0.5 2

tellraw @a [{"text":"[!] ","color":"yellow"},{"text":"Speed Preset","color":"gold"},{"text":" has been applied by ","color":"gray"},{"selector":"@s","color":"reset"}]