# Author: SirSheepe
# Description: Randomizes the teams with the given settings
# Ran: menu:teams/randomize/detect

scoreboard players operation teams menuRandomize = @s menuRandomize
execute as @a run function menu:main

summon minecraft:armor_stand ~ ~ ~ {Invisible:1b,Marker:1b,NoGravity:1b,Tags:["random", "red"],CustomName:"[{\"text\":\"▐ \",\"color\":\"red\"},{\"text\":\"Red Team: \",\"color\":\"gray\"}]"}
summon minecraft:armor_stand ~ ~ ~ {Invisible:1b,Marker:1b,NoGravity:1b,Tags:["random", "orange"],CustomName:"[{\"text\":\"▐ \",\"color\":\"gold\"},{\"text\":\"Orange Team: \",\"color\":\"gray\"}]"}
summon minecraft:armor_stand ~ ~ ~ {Invisible:1b,Marker:1b,NoGravity:1b,Tags:["random", "yellow"],CustomName:"[{\"text\":\"▐ \",\"color\":\"yellow\"},{\"text\":\"Yellow Team: \",\"color\":\"gray\"}]"}
summon minecraft:armor_stand ~ ~ ~ {Invisible:1b,Marker:1b,NoGravity:1b,Tags:["random", "green"],CustomName:"[{\"text\":\"▐ \",\"color\":\"green\"},{\"text\":\"Green Team: \",\"color\":\"gray\"}]"}
summon minecraft:armor_stand ~ ~ ~ {Invisible:1b,Marker:1b,NoGravity:1b,Tags:["random", "aqua"],CustomName:"[{\"text\":\"▐ \",\"color\":\"aqua\"},{\"text\":\"Aqua Team: \",\"color\":\"gray\"}]"}
summon minecraft:armor_stand ~ ~ ~ {Invisible:1b,Marker:1b,NoGravity:1b,Tags:["random", "blue"],CustomName:"[{\"text\":\"▐ \",\"color\":\"blue\"},{\"text\":\"Blue Team: \",\"color\":\"gray\"}]"}
summon minecraft:armor_stand ~ ~ ~ {Invisible:1b,Marker:1b,NoGravity:1b,Tags:["random", "purple"],CustomName:"[{\"text\":\"▐ \",\"color\":\"dark_purple\"},{\"text\":\"Purple Team: \",\"color\":\"gray\"}]"}
summon minecraft:armor_stand ~ ~ ~ {Invisible:1b,Marker:1b,NoGravity:1b,Tags:["random", "pink"],CustomName:"[{\"text\":\"▐ \",\"color\":\"light_purple\"},{\"text\":\"Pink Team: \",\"color\":\"gray\"}]"}

scoreboard players set @e[tag=random] menuRandomize 0

scoreboard players set @e[sort=random,limit=1,type=minecraft:armor_stand,tag=random,scores={menuRandomize=0}] menuRandomize 1
scoreboard players set @e[sort=random,limit=1,type=minecraft:armor_stand,tag=random,scores={menuRandomize=0}] menuRandomize 2
scoreboard players set @e[sort=random,limit=1,type=minecraft:armor_stand,tag=random,scores={menuRandomize=0}] menuRandomize 3
scoreboard players set @e[sort=random,limit=1,type=minecraft:armor_stand,tag=random,scores={menuRandomize=0}] menuRandomize 4
scoreboard players set @e[sort=random,limit=1,type=minecraft:armor_stand,tag=random,scores={menuRandomize=0}] menuRandomize 5
scoreboard players set @e[sort=random,limit=1,type=minecraft:armor_stand,tag=random,scores={menuRandomize=0}] menuRandomize 6
scoreboard players set @e[sort=random,limit=1,type=minecraft:armor_stand,tag=random,scores={menuRandomize=0}] menuRandomize 7
scoreboard players set @e[sort=random,limit=1,type=minecraft:armor_stand,tag=random,scores={menuRandomize=0}] menuRandomize 8

scoreboard players set @a menuRandomize 0
function menu:teams/randomize/give_number

execute as @a if score @s menuRandomize = @e[type=minecraft:armor_stand,tag=random,tag=red,limit=1] menuRandomize run team join red @s
execute as @a if score @s menuRandomize = @e[type=minecraft:armor_stand,tag=random,tag=orange,limit=1] menuRandomize run team join orange @s
execute as @a if score @s menuRandomize = @e[type=minecraft:armor_stand,tag=random,tag=yellow,limit=1] menuRandomize run team join yellow @s
execute as @a if score @s menuRandomize = @e[type=minecraft:armor_stand,tag=random,tag=green,limit=1] menuRandomize run team join green @s
execute as @a if score @s menuRandomize = @e[type=minecraft:armor_stand,tag=random,tag=aqua,limit=1] menuRandomize run team join aqua @s
execute as @a if score @s menuRandomize = @e[type=minecraft:armor_stand,tag=random,tag=blue,limit=1] menuRandomize run team join blue @s
execute as @a if score @s menuRandomize = @e[type=minecraft:armor_stand,tag=random,tag=purple,limit=1] menuRandomize run team join purple @s
execute as @a if score @s menuRandomize = @e[type=minecraft:armor_stand,tag=random,tag=pink,limit=1] menuRandomize run team join pink @s


tellraw @a [{"text":"[!] ","color":"yellow"},{"text":"Teams have been randomized!","color":"gray"}]
execute as @a at @s run playsound minecraft:block.note_block.harp master @s ~ ~ ~ 0.5 2

tellraw @a [{"text":"[!] ","color":"yellow"},{"selector":"@s"},{"text":" randomized the teams!","color":"gray"}]
tellraw @a [{"text":"[!]","color":"yellow"},{"selector":"@e[type=armor_stand,tag=random,scores={menuRandomize=1}]"},{"selector":"@a[scores={menuRandomize=1}]"}]
tellraw @a [{"text":"[!]","color":"yellow"},{"selector":"@e[type=armor_stand,tag=random,scores={menuRandomize=2}]"},{"selector":"@a[scores={menuRandomize=2}]"}]
execute if score teams menuRandomize matches 3.. run tellraw @a [{"text":"[!]","color":"yellow"},{"selector":"@e[type=armor_stand,tag=random,scores={menuRandomize=3}]"},{"selector":"@a[scores={menuRandomize=3}]"}]
execute if score teams menuRandomize matches 4.. run tellraw @a [{"text":"[!]","color":"yellow"},{"selector":"@e[type=armor_stand,tag=random,scores={menuRandomize=4}]"},{"selector":"@a[scores={menuRandomize=4}]"}]
execute if score teams menuRandomize matches 5.. run tellraw @a [{"text":"[!]","color":"yellow"},{"selector":"@e[type=armor_stand,tag=random,scores={menuRandomize=5}]"},{"selector":"@a[scores={menuRandomize=5}]"}]
execute if score teams menuRandomize matches 6.. run tellraw @a [{"text":"[!]","color":"yellow"},{"selector":"@e[type=armor_stand,tag=random,scores={menuRandomize=6}]"},{"selector":"@a[scores={menuRandomize=6}]"}]
execute if score teams menuRandomize matches 7.. run tellraw @a [{"text":"[!]","color":"yellow"},{"selector":"@e[type=armor_stand,tag=random,scores={menuRandomize=7}]"},{"selector":"@a[scores={menuRandomize=7}]"}]
execute if score teams menuRandomize matches 8.. run tellraw @a [{"text":"[!]","color":"yellow"},{"selector":"@e[type=armor_stand,tag=random,scores={menuRandomize=8}]"},{"selector":"@a[scores={menuRandomize=8}]"}]

execute as @a[team=red] at @s run particle dust 0.776 0.176 0.176 3 ~ ~ ~ 0.2 0.8 0.2 1 10 normal
execute as @a[team=orange] at @s run particle dust 0.871 0.380 0.008 3 ~ ~ ~ 0.2 0.8 0.2 1 10 normal
execute as @a[team=yellow] at @s run particle dust 0.929 0.675 0.082 3 ~ ~ ~ 0.2 0.8 0.2 1 10 normal
execute as @a[team=green] at @s run particle dust 0.365 0.655 0.094 3 ~ ~ ~ 0.2 0.8 0.2 1 10 normal
execute as @a[team=aqua] at @s run particle dust 0.137 0.525 0.769 3 ~ ~ ~ 0.2 0.8 0.2 1 10 normal
execute as @a[team=blue] at @s run particle dust 0.169 0.176 0.553 3 ~ ~ ~ 0.2 0.8 0.2 1 10 normal
execute as @a[team=purple] at @s run particle dust 0.392 0.125 0.608 3 ~ ~ ~ 0.2 0.8 0.2 1 10 normal
execute as @a[team=pink] at @s run particle dust 0.808 0.239 0.769 3 ~ ~ ~ 0.2 0.8 0.2 1 10 normal

kill @e[type=minecraft:armor_stand,tag=random]
scoreboard players reset @a menuRandomize
execute as @a run function menu:main